Subject: Re: bug#12339: [PATCH] rm: avoid bogus diagnostic for a slash-decorated symlink-to-dir

From: "Linda A. Walsh" <[email-masked]>
Date: Wed, 05 Sep 2012 07:51:07 -0700

Paul Eggert wrote:
> On 09/04/2012 11:58 PM, Linda A. Walsh wrote:
>   
>>    I'm not talking for interactive use... I'm talking for use in a script
>> that might run on systems that are not mine -- so I can't rely on shell settings.
>>     
>
> Yes you can.  Just start the script with "#!/bin/sh", as usual.
> When invoked that way, Bash and other shells are POSIX-compliant
> in this area.
>   

To what level of posix... if they are compliant to the original level
then they might have the original behavior that allowed rm -r . to work.

if they are the 2003 version, then a different way, .. bleh.

I overly worry about things that don't occur, but get caught
by things I didn't worry enough about.   So it doesn't really
matter.  I just preferred simplicity to the ever changing
posix.